#include <FreqCount.h> //Se descargó y utilizó la libreria FreqCount.h existente para arduino//
#include <LiquidCrystal.h> //Se descargó y utilizó la libreria LiquidCrystal existente para arduino//

LiquidCrystal lcd(12, 11, 6, 4, 3, 2); // Los números indican los pines de la entrada digital del arduino a los cuales se conectarà el display lcd //

void setup() {
  lcd.begin(16, 2);
  FreqCount.begin(1000); // En la libreria FreqCount viene indicado que el cable de la señal del optoacoplador (cable blanco) se conecta al pin 5 del arduino//
}

void loop() {
  if (FreqCount.available()) {
    unsigned long count = FreqCount.read();

float rpm=0.0;

    rpm=(40.0/count);
    rpm=(60.0/rpm); //La libreria FreqCount cuenta las revoluciones por segundo, aqui se pasa a RPM //

lcd.clear();

    lcd.print("Spin");
lcd.setCursor(0, 2);
    lcd.print("RPM:");
    lcd.print(rpm);
  }

